Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
dunguss3581

[Hỏi] lệnh viết "độ phút giây" trong lisp

Các bài được khuyến nghị

Xinh hỏi trong lisp viêt 59°58'39" như thế nào? anh em nao biết chỉ dùm nhé. cảm ơn nhiều

Chưa hiểu ý bạn hỏi???

Nếu là biểu diễn số đo một góc thành text như bạn nói thì dùng (angtos a 1 0)

Nều là chuyển text trên của bạn thành giá trị số đo của góc theo radians thì dùng hàm (angtof ....)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chưa hiểu ý bạn hỏi???

Nếu là biểu diễn số đo một góc thành text như bạn nói thì dùng (angtos a 1 0)

Nều là chuyển text trên của bạn thành giá trị số đo của góc theo radians thì dùng hàm (angtof ....)

ý mình là: 59,5 độ thì dùng hàm gì đổi ra 59 độ 30 phút 00 giây. sau đó thể hiện 59°30'00" trên bản vẽ như thế nao?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ý mình là: 59,5 độ thì dùng hàm gì đổi ra 59 độ 30 phút 00 giây. sau đó thể hiện 59°30'00" trên bản vẽ như thế nao?

bạn vào Modify của Dimension Style, trong thẻ Primary Units, trong mục Units fomat chọn Decimal Degrees nếu muốn là 59.5 độ; chọn là Degrees minute second nếu muốn là 59 độ 30'...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Xinh hỏi trong lisp viêt 59°58'39" như thế nào? anh em nao biết chỉ dùm nhé. cảm ơn nhiều

VD: vẽ Text tại điểm (0,0) cao là 2 và góc quay là 0:

(command "text" '(0 0) 2 0 "59\U+00B058'39\"") => 59°58'39"

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

VD: vẽ Text tại điểm (0,0) cao là 2 và góc quay là 0:

(command "text" '(0 0) 2 0 "59\U+00B058'39\"") => 59°58'39"

 

VD: vẽ Text tại điểm (0,0) cao là 2 và góc quay là 0:

(command "text" '(0 0) 2 0 "59\U+00B058'39\"") => 59°58'39"

bạn ơi mình nạp code của bạn vào dòng nhắc lệnh không chạy như ý muốn. phần ký hiệu độ không đúng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn ơi mình nạp code của bạn vào dòng nhắc lệnh không chạy như ý muốn. phần ký hiệu độ không đúng

Nó ra cái gì, post lên xem?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Acad <=2006 thì dùng cái này xem:

(command "text" '(0 0) 2 0 (strcat "59" (chr 176) "58'39\""))

Hoặc:

(command "text" '(0 0) 2 0 (strcat "59" (chr 186) "58'39\""))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ý mình là: 59,5 độ thì dùng hàm gì đổi ra 59 độ 30 phút 00 giây. sau đó thể hiện 59°30'00" trên bản vẽ như thế nao?

 

Tham khảo :

 

 

(setq string "59.5")

(setq real (atof string)) ; -> 59.5

(setq radian (* pi (/ real 180.0))) ; -> 1.03847

(setq dophutgiay (angtos radian 1 3)); -> "59d30'0\""

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

ý mình là: 59,5 độ thì dùng hàm gì đổi ra 59 độ 30 phút 00 giây. sau đó thể hiện 59°30'00" trên bản vẽ như thế nao?

Kết hợp vừa chuyển đổi vừa ghi ra text thì ví dụ thế này:

(defun C:HA ( / goc dpg)
(setq goc (getreal "\nNhap gia goc [do_thap_phan]: "))
(setq dpg (vl-string-subst (chr 176) "d" (angtos (* pi (/ goc 180.0)) 1 3)))
(command "text" "non" '(0 0) 2 0 dpg)
(princ))

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Kết hợp vừa chuyển đổi vừa ghi ra text thì ví dụ thế này:

(defun C:HA ( / goc dpg)
(setq goc (getreal "\nNhap gia goc [do_thap_phan]: "))
(setq dpg (vl-string-subst (chr 176) "d" (angtos (* pi (/ goc 180.0)) 1 3)))
(command "text" "non" '(0 0) 2 0 dpg)
(princ))

 

Kết hợp vừa chuyển đổi vừa ghi ra text thì ví dụ thế này:

(defun C:HA ( / goc dpg)
(setq goc (getreal "\nNhap gia goc [do_thap_phan]: "))
(setq dpg (vl-string-subst (chr 176) "d" (angtos (* pi (/ goc 180.0)) 1 3)))
(command "text" "non" '(0 0) 2 0 dpg)
(princ))

bạn có thể giúp tôi tính góc của một đỉnh trong tam giác có 3 đỉnh p1, p2, p3 không? hàm angle sử dụng thế nào vậy?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

bạn có thể giúp tôi tính góc của một đỉnh trong tam giác có 3 đỉnh p1, p2, p3 không? hàm angle sử dụng thế nào vậy?

Nếu bạn hỏi như vậy thì qua chuyên mục này, chứ trả lời ở đây là sai topic

[Hỏi] Cùng nhau học LISP

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×